python-nxs_4.3.2-svn1921-3_all.deb


Advertisement

Description

python-nxs - NeXus scientific data file format - python binding

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-nxs
Package version: 4.3.2
Package release: svn1921-3
Package architecture: all
Package type: deb
Installed size: 212 B
Download size: 42.87 KB
Official Mirror: archive.ubuntu.com
NeXus is a common data format for neutron, x-ray, and muon science. It is being developed as an international standard by scientists and programmers representing major scientific facilities in Europe, Asia, Australia, and North America in order to facilitate greater cooperation in the analysis and visualization of neutron, x-ray, and muon data. This is the package containing the Python bindings.

Alternatives

Conflicts

  • libnexus0-python

Replaces

  • libnexus0-python

    Download

    Source package: nexus

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-nxs deb package:
      # sudo apt-get install python-nxs

    Files

    • /usr/lib/python2.7/dist-packages/nxs/__init__.py
    • /usr/lib/python2.7/dist-packages/nxs/napi.py
    • /usr/lib/python2.7/dist-packages/nxs/tree.py
    • /usr/lib/python2.7/dist-packages/nxs/unit.py
    • /usr/share/doc/python-nxs/changelog.Debian.gz
    • /usr/share/doc/python-nxs/copyright
    • /usr/share/nexus/doc/python/README.html

    Changelog

    2015-12-13 - Mattia Rizzolo <mattia@debian.org> nexus (4.3.2-svn1921-3) unstable; urgency=medium * QA upload. * Orphan the package, see #805446. * debian/control: bump Standards-Version to 3.9.6, no changes needed * run wrap-and-sort * Build-Depend on dh-python instead of python-support. Looks like dh_python2 was already used in d/rules anyway. Closes: #786316 * Remove debian/gbp.conf, since this package is not maintained in git.

    2015-08-16 - Julien Cristau <jcristau@debian.org> nexus (4.3.2-svn1921-2.1) unstable; urgency=medium * Non-maintainer upload. * Rename library packages for g++5 ABI transition (closes: 791217).

    2014-08-01 - Tobias Stefan Richter <tsr-debian@achos.com> nexus (4.3.2-svn1921-2) unstable; urgency=low * Support hdf5 1.8.13 new packaging layout. Patch by Gilles Filippini <pini@debian.org> (Closes: #756688)

    2014-04-16 - Tobias Stefan Richter <tsr-debian@achos.com> nexus (4.3.2-svn1921-1) unstable; urgency=low * disginguish between static and dynamic linking, fix from upstream (Closes: #743480) * provide correct pkg-config version number

    2014-04-03 - Tobias Stefan Richter <tsr-debian@achos.com> nexus (4.3.2-svn1919-2) unstable; urgency=medium * add missing dependencies for -dev package * bump standards version (no modification)

    2013-11-13 - Tobias Stefan Richter <tsr-debian@achos.com> nexus (4.3.2-svn1919-1) unstable; urgency=low * upstream: fix problem with null terminated fixed size strings in nxbrowse * force building with hdf5 (ubuntu managed to build without)

    2013-09-14 - Tobias Stefan Richter <tsr-debian@achos.com> nexus (4.3.2-svn1915-1) unstable; urgency=low * new upstream snapshot * better support from compression from Java * bug fixes

    2013-06-22 - Tobias Stefan Richter <tsr-debian@achos.com> nexus (4.3-svn1898-1) unstable; urgency=low * updated upstream version fixing NX5getinfo64

    2013-05-19 - Tobias Stefan Richter <tsr-debian@achos.com> nexus (4.3-svn1896-1) unstable; urgency=low * new upstream version to resolve issues around napiconfig.h and add various small improvements

    2013-03-08 - Tobias Stefan Richter <tsr-debian@achos.com> nexus (4.3-svn1889-1) unstable; urgency=low * new upstream release with bug fixes * ensure backward compatibility when compiling with Java 7

    Advertisement
    Advertisement